:root {
  --c-black: #000000;
  --c-black-text: #1B1B1E;
  --c-blue-dark: #013394;
  --c-blue-mid: #00489D;
  --c-blue-video: #0A579D;
  --c-gray-bg: #f3f3f3;
  --c-gray-light: #D3D3D3;
  --c-green: #039088;
  --c-green-dark: #02665E;
  --c-green-light: #E7FFD8;
  --c-green-accent: #6dc72e;
  --c-green-shadow: rgba(3, 144, 136, 0.3);
  --c-offwhite: #F8F6F0;
  --c-white: #FFFFFF;
  --c-shadow-light: #e3e3e3;
  --c-shadow-hover: rgba(0, 0, 0, 0.1);
}

/* Global Styles */
.bpr-body {
  background-color: var(--c-gray-bg);
  color: var(--c-black-text);
  font-family: 'Roboto', Arial, sans-serif;
}

/* Breadcrumb */
.bpr-breadcrumb_single {
  padding-bottom: 20px;
}
@media (max-width: 1024px) {
  .bpr-breadcrumb_single {
    padding-bottom: 10px;
  }
}

.bpr-breadcrumb-list {
  display: inline-flex;
  gap: 15px;
  list-style: none;
  margin: 0;
  padding: 0;
}
@media (max-width: 1024px) {
  .bpr-breadcrumb {
    display: none;
  }
}

.bpr-breadcrumb-list a {
  color: var(--c-blue-mid);
  font-size: 14px;
  text-decoration: none;
}

.bpr-breadcrumb-list a:hover {
  text-decoration: underline;
}

/* Event Accordion */
.bpr-event-accordeon {
  display: flex;
  flex-direction: column;
  margin-top: 44px;
}

.bpr-event-accordeon-button {
  align-items: center;
  background-color: var(--c-white);
  border: 0;
  border-bottom: 2px solid var(--c-gray-light);
  border-radius: 8px;
  cursor: pointer;
  display: flex;
  gap: 20px;
  line-height: 65px;
  padding: 0 24px;
  transition: background-color 0.3s, border-color 0.3s;
  width: 100%;
}
@media (max-width: 1024px) {
  .bpr-event-accordeon-button {
    line-height: 60px;
    padding: 0 22px;
  }
}

.bpr-event-accordeon-button__arrow {
  display: flex;
  transition: transform 0.3s ease;
}
@media (max-width: 1024px) {
  .bpr-event-accordeon-button__arrow > svg {
    width: 30px;
    height: 30px;
  }
}

.bpr-event-accordeon-button__title {
  color: var(--c-black-text);
  flex: 1;
  font-size: 18px;
  text-align: left;
}

.bpr-event-accordeon-button[aria-expanded="true"] .bpr-event-accordeon-button__arrow {
  transform: rotate(180deg);
}

.bpr-event-accordeon__content {
  background-color: var(--c-gray-bg);
  border: 0 solid transparent;
  display: flex;
  flex-direction: column;
  gap: 20px;
  max-height: 0;
  opacity: 0;
  overflow: hidden;
  transition: max-height 0.6s cubic-bezier(0.4, 0, 0.2, 1), opacity 0.6s cubic-bezier(0.4, 0, 0.2, 1);
}

@media (max-width: 1024px) {
  .bpr-event-accordeon__content {
    padding: 0 10px;
  }
}

.bpr-event-accordeon__content_grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
}
@media (max-width: 1024px) {
  .bpr-event-accordeon__content_grid {
    grid-template-columns: repeat(1, 1fr);
  }
  .bpr-event-accordeon__content_grid._active {
    padding: 26px 8px;
  }
}

.bpr-event-accordeon__content._active {
  background-color: var(--c-gray-bg);
  border: 2px solid var(--c-white);
  max-height: 3999px;
  opacity: 1;
  padding: 26px;
}

/* Event Promo */
.bpr-event-promo {
  align-items: center;
  background-color: var(--c-green);
  border-radius: 10px;
  color: var(--c-white);
  display: flex;
  gap: 41px;
  justify-content: space-between;
  padding: 20px 34px 20px;
}
@media (max-width: 1024px) {
  .bpr-event-promo {
    flex-direction: column;
    padding: 20px 28px 40px;
    margin: 0 -24px;
    border-radius: 0;
    gap: 20px;
  }
}

.bpr-event-promo__actions {
  align-items: center;
  display: flex;
  gap: 48px;
  margin-top: 48px;
}
@media (max-width: 1024px) {
  .bpr-event-promo__actions {
    flex-direction: column;
    align-items: flex-start;
    gap: 20px;
    margin-top: 30px;
  }
}

.bpr-event-promo__button {
  align-items: center;
  background-color: var(--c-white);
  border: 2px solid var(--c-green);
  border-radius: 25px;
  color: var(--c-green);
  display: inline-flex;
  font-size: 18px;
  font-weight: bold;
  gap: 20px;
  line-height: 50px;
  padding: 0 28px;
  transition: background-color 0.3s ease, border-color 0.3s ease, color 0.3s ease;
}
@media (max-width: 1024px) {
  .bpr-event-promo__button {
    font-size: 18px;
    line-height: 54px;
    border-radius: 15px;
    padding: 0 30px;
  }
}

.bpr-event-promo__button_payment {
  background-color: var(--c-green-light);
}

.bpr-event-promo__button:active {
  background-color: var(--c-green-dark);
  border-color: var(--c-green-dark);
  color: var(--c-white);
}

.bpr-event-promo__button:focus {
  box-shadow: 0 0 0 3px var(--c-green-shadow);
  outline: none;
}

.bpr-event-promo__button:hover {
  background-color: var(--c-green);
  border-color: var(--c-white);
  color: var(--c-white);
}

.bpr-event-promo__content {
  align-items: flex-start;
  display: flex;
  flex-direction: column;
  padding-top: 10px;
}

.bpr-event-promo__image img {
  border-radius: 16px;
  height: 100%;
  object-fit: cover;
  width: 650px;
}
@media (max-width: 1024px) {
  .bpr-event-promo__image img {
    height: auto;
    width: 100%;
  }
}

.bpr-event-promo__provider {
  color: var(--c-white);
  font-size: 18px;
  margin-top: 20px;
}

.bpr-event-promo__social {
  align-items: center;
  display: none;
  gap: 28px;
}

.bpr-event-promo__social_single {
  display: flex;
}

.bpr-event-promo__title {
  color: var(--c-white);
  font-size: 44px;
  margin-top: 48px;
}
@media (max-width: 1024px) {
  .bpr-event-promo__title {
    font-size: 32px;
    overflow-wrap: anywhere;
    line-height: 1.2;
    margin-top: 30px;
  }
}

.bpr-event-promo__title > a {
  color: var(--c-white);
}

.bpr-event-promo__type {
  color: var(--c-white);
  font-size: 18px;
  font-weight: bold;
  margin-top: 20px;
  text-transform: uppercase;
}
@media (max-width: 1024px) {
  .bpr-event-promo__type {
    font-size: 16px;
  }
}

/* Filters */
.bpr-filters {
  display: flex;
  flex-wrap: wrap;
  gap: 12px;
}
@media (max-width: 1024px) {
  .bpr-filters {
    gap: 13px;
    row-gap: 14px;
  }
}

.bpr-filter {
  background-color: var(--c-white);
  border: 2px solid var(--c-green);
  border-radius: 8px;
  color: var(--c-green);
  cursor: pointer;
  font-size: 16px;
  line-height: 36px;
  padding: 0 14px;
  transition: background-color 0.3s, border-color 0.3s, color 0.3s;
}
@media (max-width: 1024px) {
  .bpr-filter {
    font-size: 16px;
    padding: 0 8px;
    line-height: 34px;
  }
}

.bpr-filter.active {
  background-color: var(--c-green);
  color: var(--c-white);
}

.bpr-filter:focus {
  box-shadow: 0 0 0 3px var(--c-green-shadow);
  outline: none;
}

.bpr-filter:hover {
  background-color: var(--c-green-dark);
  border-color: var(--c-green-dark);
  color: var(--c-white);
}

/* Links */
.bpr-links {
  align-items: center;
  background-image: url("../img/bgimage/bg-1.svg");
  background-repeat: no-repeat;
  background-position: right bottom;
  background-size: 400px;
  background-color: var(--c-blue-mid);
  color: var(--c-white);
  display: flex;
  height: 112px;
}

.bpr-links-list {
  display: flex;
  gap: 56px;
  width: 100%;
}

.bpr-links-list__item {
  align-items: center;
  color: var(--c-white);
  display: flex;
  font-size: 20px;
  line-height: 1.4;
  font-weight: bold;
  gap: 16px;
}
@media (max-width: 1024px) {
  .bpr-links-list__item {
    font-size: 25px;
    font-weight: 500;
  }
  .bpr-links-list {
    gap: 30px;
    flex-direction: column;
    padding: 60px 22px;
  }
  .bpr-links-list__item > svg {
    width: 38px;
    height: 38px;
  }
}

/* Promo Description & Images */
.bpr-promo-description {
  color: var(--c-black-text);
  font-size: 16px;
  line-height: 1.2;
  margin-top: 20px;
}

.bpr-promo-img {
  height: auto;
  width: 100%;
}

.bpr-promo-img-wrapper {
  flex: 1;
  display: flex;
  align-items: center;
}

.bpr-promo-title {
  font-size: 20px;
  line-height: 1.2;
  margin-top: 2px;
}

.bpr-promo-wrapper {
  padding-top: 20px;
}

.bpr-promo {
  display: flex;
  justify-content: space-between;
  padding-bottom: 6px;
}
@media (max-width: 1024px) {
  .bpr-promo {
    display: none;
  }
}

.bpr-promo-content {
  display: flex;
  flex-direction: column;
  flex: 1;
  padding: 28px 0 16px;
}
@media (max-width: 1024px) {
  .bpr-promo-content {
    padding: 0;
  }
  .bpr-promo-img {
    height: auto;
    width: 100%;
  }
}

/* Events */
.bpr-events-wrapper {
  background-color: var(--c-gray-bg);
}

.bpr-events {
  display: flex;
  flex-direction: column;
  gap: 48px;
}
@media (max-width: 1024px) {
  .bpr-events {
    gap: 18px;
    padding-top: 16px;
    padding-left: 24px;
    padding-right: 24px;
  }
}

.bpr-events-header {
  /* Header styles if needed */
}

.bpr-events-list {
  display: grid;
  gap: 48px 26px;
  grid-template-columns: repeat(3, 1fr);
}
@media (max-width: 1024px) {
  .bpr-events-list {
    gap: 24px 16px;
    grid-template-columns: repeat(1, 1fr);
  }
}

.bpr-events-load-more {
  align-items: center;
  align-self: flex-end;
  color: var(--c-green);
  cursor: pointer;
  display: inline-flex;
  font-size: 16px;
  font-weight: bold;
  gap: 10px;
  border-radius: 8px;
  transition: color 0.3s ease;
}

.bpr-events-title {
  align-items: center;
  color: var(--c-black-text);
  display: flex;
  font-size: 32px;
  gap: 8px;
}
@media (max-width: 1024px) {
  .bpr-events-title {
    font-size: 28px;
    line-height: 1.2;
    gap: 6px;
  }
  .bpr-events-title > svg {
    flex-shrink: 0;
    width: 24px;
    height: 24px;
  }
}

/* Individual Event */
.bpr-event {
  border-radius: 8px;
  position: relative;
}

.bpr-event__details {
  color: var(--c-black-text);
  font-size: 18px;
  font-weight: 600;
}

.bpr-event__image {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  height: 251px;
  position: relative;
  width: 100%;
}
@media (max-width: 1024px) {
  .bpr-event__image {
    height: 186px;
  }
}

.bpr-event__points {
  background-color: var(--c-green);
  border-radius: 8px;
  color: var(--c-white);
  font-size: 18px;
  font-weight: bold;
  line-height: 37px;
  padding: 0 10px;
  position: absolute;
  bottom: 10px;
  right: 10px;
}
@media (max-width: 1024px) {
  .bpr-event__points {
    font-size: 16px;
    line-height: 34px;
    padding: 0 14px;
  }
}

.bpr-event__title {
  overflow-wrap: break-word;
  color: var(--c-black-text);
  font-size: 24px;
  line-height: 1.2;
}
@media (max-width: 1024px) {
  .bpr-event__title {
    font-size: 22px;
    overflow-wrap: anywhere;
  }
}

.bpr-event-content {
  background-color: var(--c-white);
  border-bottom-left-radius: 8px;
  border-bottom-right-radius: 8px;
  display: flex;
  flex-direction: column;
  gap: 32px;
  padding: 20px;
}

.bpr-event-promo__image {
  flex-shrink: 0;
}

.bpr-event-single {
  padding-top: 33px;
  padding-bottom: 20px;
}
@media (max-width: 1024px) {
  .bpr-event-single {
    padding-top: 0;
    padding-bottom: 0;
  }
}

/* Event Speaker */
.bpr-event-speaker {
  align-items: center;
  background-color: var(--c-white);
  border-radius: 10px;
  box-shadow: 0px 8px 20px var(--c-shadow-light);
  display: flex;
  gap: 20px;
  padding: 10px;
}
@media (max-width: 1024px) {
  .bpr-event-speaker {
    padding: 30px 10px;
    flex-direction: column;
    align-items: center;
    text-align: center;
  }
}

.bpr-event-speaker:hover {
  box-shadow: 0px 4px 15px var(--c-shadow-hover);
}

.bpr-event-speaker__description {
  color: var(--c-black);
  font-size: 16px;
  margin-top: 20px;
  line-height: 1.1;
}
@media (max-width: 1024px) {
  .bpr-event-speaker__description {
    font-size: 19px;
    line-height: 1.4;
  }
}

.bpr-event-speaker__name {
  color: var(--c-blue-dark);
  font-size: 18px;
}
@media (max-width: 1024px) {
  .bpr-event-speaker__name {
    font-size: 23px;
    font-weight: bold;
    margin-top: 20px;
  }
}

.bpr-event-speaker__photo {
  flex-shrink: 0;
  height: 170px;
  object-fit: cover;
  width: 170px;
  border-radius: 50%;
}
@media (max-width: 1024px) {
  .bpr-event-speaker__photo {
    height: 180px;
    width: 180px;
  }
}

/* Cost Section */
.bpr-cost-cost {
  border-right: 1px solid;
}
@media (max-width: 1024px) {
  .bpr-cost-cost {
    border-right: 0;
    border-bottom: 1px solid;
    padding-bottom: 40px;
  }
}

.bpr-cost-price {
  font-size: 24px;
  margin-top: 22px;
}
@media (max-width: 1024px) {
  .bpr-cost-price {
    margin-top: 0;
  }
}

.bpr-cost-service-notice {
  margin-top: 40px;
  font-size: 18px;
  display: flex;
  flex-direction: column;
  gap: 8px;
}
@media (max-width: 1024px) {
  .bpr-cost-service-notice {
    margin-top: 20px;
    font-size: 16px;
  }
}

.bpr-cost-head {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  border-bottom: 1px solid;
  padding-bottom: 46px;
}
@media (max-width: 1024px) {
  .bpr-cost-head {
    grid-template-columns: repeat(1, 1fr);
  }
}

.bpr-cost-payment-button {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin-top: 10px;
}
@media (max-width: 1024px) {
  .bpr-cost-payment-button {
    margin-top: 40px;
  }
}

.bpr-cost-payment-all {
  display: flex;
  flex-direction: column;
  font-size: 18px;
  gap: 20px;
}

.bpr-cost-payment-alt {
  font-size: 18px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
@media (max-width: 1024px) {
  .bpr-cost-payment-alt {
    font-size: 16px;
  }
  .bpr-cost-payment-alt p {
    flex-direction: column;
  }
}

.bpr-cost-payment-link {
  display: inline-flex;
  align-items: center;
  gap: 8px;
  text-decoration: underline;
  cursor: pointer;
  transition: text-shadow 0.2s ease-in-out;
  margin-left: 4px;
}
.bpr-cost-payment-link:hover {
  text-shadow: 0 0 1px currentColor;
}
@media (max-width: 1024px) {
  .bpr-cost-payment-link {
    margin-left: 0;
  }
}

.bpr-cost-wrapper {
  display: flex;
  flex-direction: column;
  gap: 40px;
}

.bpr-cost-payment-button-text {
  display: flex;
  align-items: center;
  gap: 10px;
  background-color: var(--c-green-accent);
  border: 2px solid var(--c-green-accent);
  border-radius: 40px;
  padding: 0 30px;
  line-height: 54px;
  color: var(--c-black);
  transition: border-color 0.3s ease-in-out, color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}
.bpr-cost-payment-button-text:active {
  border-color: var(--c-green-dark);
  color: var(--c-white);
}
.bpr-cost-payment-button-text:focus {
  box-shadow: 0 0 0 3px var(--c-green-shadow);
}
.bpr-cost-payment-button-text:hover {
  border-color: var(--c-white);
  color: var(--c-white);
}
@media (max-width: 1024px) {
  .bpr-cost-payment-button-text {
    line-height: 43px;
    font-size: 16px;
  }
}

.bpr-payment-btn {
  flex-direction: column;
  display: flex;
  align-items: center;
  gap: 20px;
  font-size: 18px;
  font-weight: 600;
}
@media (max-width: 1024px) {
  .bpr-payment-btn img {
    width: 100%;
  }
}

/* Event Video */
.bpr-event-video > iframe {
  height: 340px;
  width: 100%;
}
@media (max-width: 1024px) {
  .bpr-event-video > iframe {
    height: 180px;
  }
}

.bpr-event-videos {
  padding-top: 40px;
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 60px;
}
@media (max-width: 1024px) {
  .bpr-event-videos {
    padding-top: 20px;
    grid-template-columns: repeat(1, 1fr);
    gap: 20px;
  }
}

.bpr-event-video-description {
  text-align: center;
  padding: 20px 30px;
  font-size: 17px;
  line-height: 1.4;
  color: var(--c-blue-video);
  background-color: var(--c-white);
}
@media (max-width: 1024px) {
  .bpr-event-video-description {
    padding: 10px 20px;
    font-size: 15px;
  }
}

.bpr-event-video-item {
  display: flex;
  flex-direction: column;
}
